package io.nexilis.service.data.viewmodels

import androidx.lifecycle.LiveData
import androidx.lifecycle.ViewModel
import dagger.hilt.android.lifecycle.HiltViewModel
import io.nexilis.service.data.entities.MessageStatus
import io.nexilis.service.data.repositories.MessageStatusRepository
import javax.inject.Inject

@HiltViewModel
class MessageStatusViewModel @Inject constructor(private val repository: MessageStatusRepository) :
    ViewModel() {
    val all: LiveData<List<MessageStatus>> = repository.all

    fun get(id: String) : LiveData<List<MessageStatus>> {
        return repository.get(id)
    }

    fun get(id: String, pin: String) : LiveData<MessageStatus> {
        return repository.get(id, pin)
    }
}